Loading...
Searching...
No Matches
GridResampleToMatchOp< Sampler > Class Template Reference

GridResampleToMatchOp is a functor class for use with GridBase::apply() that samples an input grid into an output grid of the same type such that, after resampling, the input and output grids coincide, but the output grid's transform is unchanged. More...

`#include <openvdb_houdini/UT_VDBTools.h>`

## Public Member Functions

| GridResampleToMatchOp (GridPtr outGrid)
template<typename GridType>
void | operator() (const GridType &inGrid)

## Detailed Description

template<typename Sampler>
class openvdb_houdini::GridResampleToMatchOp< Sampler >

GridResampleToMatchOp is a functor class for use with GridBase::apply() that samples an input grid into an output grid of the same type such that, after resampling, the input and output grids coincide, but the output grid's transform is unchanged.

See also
  GridTransformOp, GridResampleOp

Example:
  const Grid& inGrid = ...; // generic reference to a grid of any type
  // Create a new, empty output grid of the same (so far, unknown) type as
  // the input grid and with the same metadata, but with a different transform.
  GridPtr outGrid = inGrid.copyGridWithNewTree();
  outGrid->setTransform(myTransform);
  // Resolve the input grid's type and resample it into the output grid,
  // using a second-order sampling kernel.
  GridResampleToMatchOp<openvdb::tools::QuadraticSampler> op(outGrid);
  inGrid.apply<openvdb_houdini::ScalarGridTypes>(op);
  openvdb::v10_0::GridBase::copyGridWithNewTree
  virtual GridBase::Ptr copyGridWithNewTree() const =0
  Return a new grid of the same type as this grid whose metadata and transform are deep copies of this ...
  openvdb::v10_0::GridBase::apply
  bool apply(OpT &) const
  If this grid resolves to one of the listed grid types, invoke the given functor on the resolved grid.
  Definition Grid.h:1768
  openvdb_houdini::GridResampleToMatchOp::GridResampleToMatchOp
  GridResampleToMatchOp(GridPtr outGrid)
  Definition UT_VDBTools.h:156
  openvdb_houdini::GridPtr
  openvdb::GridBase::Ptr GridPtr
  Definition Utils.h:35
  openvdb_houdini::Grid
  openvdb::GridBase Grid
  Definition Utils.h:34
  openvdb_houdini::ScalarGridTypes
  openvdb::TypeList< openvdb::BoolGrid, openvdb::FloatGrid, openvdb::DoubleGrid, openvdb::Int32Grid, openvdb::Int64Grid > ScalarGridTypes
  Definition Utils.h:317

## Constructor & Destructor Documentation

## GridResampleToMatchOp()

template<typename Sampler>

GridResampleToMatchOp | ( | GridPtr | outGrid | ) |

inline

## Member Function Documentation

## operator()()

template<typename Sampler>
template<typename GridType>

void operator() | ( | const GridType & | inGrid | ) |

inline